

CREATE TABLE COMPONENT_MAPPING
(
	MAP_ID BIGINT NOT NULL AUTO_INCREMENT,
	MAP_SET_ID BIGINT NOT NULL,
	TYPE VARCHAR(10) NOT NULL,
	CONSTANT NVARCHAR(255),
	DEFAULT_VALUE nvarchar(255) NULL,
    IS_METADATA BOOL NOT NULL,
	PRIMARY KEY (MAP_ID),
	KEY (MAP_SET_ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
;
